package example_complete_application_order_menu;
	
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.chart.BarChart;
import javafx.scene.chart.CategoryAxis;
import javafx.scene.chart.LineChart;
import javafx.scene.chart.NumberAxis;
import javafx.scene.chart.XYChart;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Label;
import javafx.scene.control.RadioButton;
import javafx.scene.control.Slider;
import javafx.scene.control.Tab;
import javafx.scene.control.TabPane;
import javafx.scene.control.TextArea;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;


public class Main_Older_NotUsed extends Application {
	
	protected CheckBox ckbBurger, ckbDrink, ckbFries;
	protected Button btnFood, btnClear;
	protected TextArea txaMessage;
	protected ToggleGroup tGrpDiningChoice;
	protected RadioButton rbDineIn, rbTakeOut, rbDelivery;
	protected Slider sldSatisfaction;
	
	@Override
	public void start(Stage primaryStage) {
		try {
			Scene scene = new Scene(buildGui(),450,450);
			scene.getStylesheets().add(getClass().getResource("application.css").toExternalForm());
			primaryStage.setTitle("Food Order System");			
			primaryStage.setScene(scene);
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	private Pane buildGui() {
		// Build menu tab
		Tab tabFood = new Tab();
		tabFood.setText("Menu");
		tabFood.setContent(buildMenuTab());
		tabFood.setClosable(false);
	    // Build bar chart tab
		Tab tabGraph = new Tab();
		tabGraph.setText("Bar Chart");
		tabGraph.setContent(buildBarChart());
		tabGraph.setClosable(false);
	    // Build line chart tab
		Tab tabLine = new Tab();
		tabLine.setText("Line Chart");
		tabLine.setContent(buildLineChart());
		tabLine.setClosable(false);
		// Build tab pane
		TabPane tabPane = new TabPane();
		tabPane.getTabs().addAll(tabFood,tabGraph,tabLine);
		// Build root pane
		BorderPane root = new BorderPane();
		root.setCenter(tabPane);
		return root;
	}
/*
 *  Menu Tab	
 */
	private Pane buildMenuTab() {
		GridPane grdPane = new GridPane();
		grdPane.setHgap(10);
		grdPane.setVgap(10);
		grdPane.setPadding(new Insets(25, 25, 25, 25));
		
		grdPane.add(buildFoodSelection(), 0, 0);
		grdPane.add(buildDiningChoice(), 0, 1);
		grdPane.add(buildSatisfactionSlider(), 0, 2);
		grdPane.add(buildButtons(), 0, 3);

		txaMessage = new TextArea();
		grdPane.add(txaMessage, 0, 4);
		return grdPane;
	}
	
	private Pane buildFoodSelection() {
		ckbBurger = new CheckBox("Burger");
		ckbDrink = new CheckBox("Drink");
		ckbFries = new CheckBox("Fries");
	
		HBox hbxFood = new HBox();
		hbxFood.setSpacing(10);
		hbxFood.getChildren().addAll(ckbBurger,ckbDrink,ckbFries);
	
		return hbxFood;
	}

	private Pane buildDiningChoice() {
		tGrpDiningChoice = new ToggleGroup();
		rbDineIn = new RadioButton("Dine In");
		rbDineIn.setSelected(true);
		rbDineIn.setToggleGroup(tGrpDiningChoice);
		rbTakeOut = new RadioButton("Take Out");
		rbTakeOut.setToggleGroup(tGrpDiningChoice);
		rbDelivery = new RadioButton("Delivery");
		rbDelivery.setToggleGroup(tGrpDiningChoice);

		HBox hbxDiningChoice = new HBox();
		hbxDiningChoice.setSpacing(10);
		hbxDiningChoice.getChildren().addAll(rbDineIn,rbTakeOut,rbDelivery);

		return hbxDiningChoice;
	}

	private Pane buildButtons() {
		btnFood = new Button("Process");
        btnFood.setOnAction(new FoodButtonEventHandler());
		btnClear = new Button("Clear");
        btnClear.setOnAction(new ClearButtonEventHandler());

		HBox hbxButtons = new HBox();
		hbxButtons.setSpacing(10);
		hbxButtons.getChildren().addAll(btnFood,btnClear);

		return hbxButtons;
	}
	
	private Pane buildSatisfactionSlider() {
		sldSatisfaction = new Slider();
		sldSatisfaction.setMin(-5.0);
		sldSatisfaction.setMax(5.0);
		sldSatisfaction.setValue(0);
		sldSatisfaction.setShowTickLabels(true);
		sldSatisfaction.setShowTickMarks(true);
		sldSatisfaction.setMajorTickUnit(1);
		sldSatisfaction.setMinorTickCount(1);
		sldSatisfaction.setSnapToTicks(true);
	//		sldSatisfaction.setBlockIncrement(2);
		Label lbl = new Label("Satisfaction: ");
		VBox vBox = new VBox();
		vBox.setSpacing(10);
		vBox.getChildren().addAll(lbl,sldSatisfaction);
		
		return vBox;
	}

	/*
	 *  Bar Chart Tab	
	 */
	private BarChart<String,Number> buildBarChart() {
		String burgers = "Burgers";
	    String drinks = "Drinks";
	    String fries = "Fries";
	    List<String> months = new ArrayList<>(Arrays.asList("June", "July", "August"));
	    List<String> foodNames = new ArrayList<>(Arrays.asList("Burgers", "Drinks", "Fries"));
	    List<Double> burgerSales = new ArrayList<>(Arrays.asList(14502.33, 16003.40, 13200.70));
	    List<Double> drinkSales = new ArrayList<>(Arrays.asList(12332.93, 13592.84, 14992.39));
	    List<Double> frySales = new ArrayList<>(Arrays.asList(9820.42, 13592.84, 5523.65 ));
	    
	    CategoryAxis xAxis = new CategoryAxis();
	    NumberAxis yAxis = new NumberAxis();
        xAxis.setLabel("Item");       
        yAxis.setLabel("$");
	    BarChart<String,Number> bc = new BarChart<String,Number>(xAxis,yAxis);
        bc.setTitle("Sales Summary");
	 
        for(int i=0; i<foodNames.size(); i++) {
            XYChart.Series series = new XYChart.Series();
            series.setName(months.get(i));       
            int j=0;
            series.getData().add(new XYChart.Data(foodNames.get(j++), burgerSales.get(i)));
            series.getData().add(new XYChart.Data(foodNames.get(j++), drinkSales.get(i)));
            series.getData().add(new XYChart.Data(foodNames.get(j),   frySales.get(i)));

            bc.getData().add(series);
        }
        return bc;
	}

	/*
	 *  Bar Chart Tab	
	 */
	private LineChart<String,Number> buildLineChart() {
		String burgers = "Burgers";
	    String drinks = "Drinks";
	    String fries = "Fries";
	    List<String> months = new ArrayList<>(Arrays.asList("June", "July", "August"));
	    List<String> foodNames = new ArrayList<>(Arrays.asList("Burgers", "Drinks", "Fries"));
	    List<Double> burgerSales = new ArrayList<>(Arrays.asList(14502.33, 16003.40, 13200.70));
	    List<Double> drinkSales = new ArrayList<>(Arrays.asList(12332.93, 13592.84, 14992.39));
	    List<Double> frySales = new ArrayList<>(Arrays.asList(9820.42, 13592.84, 5523.65 ));
	    
	    CategoryAxis xAxis = new CategoryAxis();
	    NumberAxis yAxis = new NumberAxis();
        xAxis.setLabel("Item");       
        yAxis.setLabel("$");
        LineChart<String,Number> bc = new LineChart<String,Number>(xAxis,yAxis);
        bc.setTitle("Sales Summary");
	 
        for(int i=0; i<foodNames.size(); i++) {
            XYChart.Series series = new XYChart.Series();
            series.setName(months.get(i));       
            int j=0;
            series.getData().add(new XYChart.Data(foodNames.get(j++), burgerSales.get(i)));
            series.getData().add(new XYChart.Data(foodNames.get(j++), drinkSales.get(i)));
            series.getData().add(new XYChart.Data(foodNames.get(j),   frySales.get(i)));

            bc.getData().add(series);
        }
        return bc;
	}

    private class FoodButtonEventHandler implements EventHandler<ActionEvent> {
		@Override
		public void handle(ActionEvent event) {
			double cost = 0.0;
			String order = "Order:\n";
			if(ckbBurger.isSelected()) {
				cost += 5.99;
				order += "Burger";
			}
			if(ckbDrink.isSelected()) {
				cost += 1.99;
				order += ", Drink";
			}

			if(ckbFries.isSelected()) {
				cost += 1.49;
				order += ", Fries";
			}
			
			RadioButton rad = (RadioButton)tGrpDiningChoice.getSelectedToggle();
			
			if(rad.getText().equals("Delivery")) {
				cost += 5.00;
			}
			
			String totCost = String.format("\nTotal: $%,.2f\n", cost);
			order += totCost;
			order += "*** " + rad.getText() + " ***\n";
			order += "Satisfaction: " + sldSatisfaction.getValue();

            txaMessage.setText(order);
		}

    }

    private class ClearButtonEventHandler implements EventHandler<ActionEvent> {
		@Override
		public void handle(ActionEvent event) {
			ckbBurger.setSelected(false);
			ckbDrink.setSelected(false);
			ckbFries.setSelected(false);
			rbDineIn.setSelected(true);
			sldSatisfaction.setValue(0.0);
			txaMessage.clear();
		}
    }

	public static void main(String[] args) {
		launch(args);
	}
}
