package examples_css;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.ListView;
import javafx.scene.control.TextField;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.scene.text.Text;


public class Example2 extends Application {
	@Override
	public void start(Stage primaryStage) {
		try {
			Pane root = buildGui();
			Scene scene = new Scene(root);
			scene.getStylesheets().add(getClass().getResource("application2.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("CSS Example 2");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	public Pane buildGui() {
		GridPane root = new GridPane();
		//root.getStyleClass().add("grid");
		Label lbl1 = new Label("Label 1");
		root.add(lbl1, 0, 0);

		Button btn = new Button("Button");
		root.add(btn, 1, 0);

		ListView<String> lvwInterests = new ListView<>();
		lvwInterests.getItems().addAll("Music", "Dance", "Disc Golf", "Theater", "Reading");
		lvwInterests.setPrefHeight(200);
		lvwInterests.setPrefWidth(200);
		root.add(lvwInterests, 0, 1);

		Label lbl2 = new Label("Label 2");
		lbl2.getStyleClass().add("monosp");
		lbl2.getStyleClass().add("shadow");
//		lbl2.getStyleClass().add("shadow-stuff");
		root.add(lbl2, 1, 1);
		return root;
	}
	public static void main(String[] args) {
		launch(args);
	}
}
