package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.CheckBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class HelloWorld_5_CheckBoxes extends Application {
	TextArea txaMessage;
	TextField txfName;
	private CheckBox chkHappy;
	private CheckBox chkHungry;
	private CheckBox chkSleepy;

	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			Pane root = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(root,350,300);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World 5");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	private Pane buildGui() {
		GridPane root = new GridPane();
		
		Pane p = buildNameEntry();
		root.add(p, 0, 0);
		
		p = buildFeelingsEntry();
		root.add(p, 1, 0);
		
		Button btnHelloWorld = new Button("Hello World");
		root.add(btnHelloWorld, 0, 1);
	
		txaMessage = new TextArea();
		txaMessage.setPrefColumnCount(7);
		txaMessage.setPrefRowCount(3);
		root.add(txaMessage, 0, 2);
		
		return root;
	}
	
	private Pane buildNameEntry() {
		Label lbl = new Label("Name");
		txfName = new TextField();
		HBox hBoxName = new HBox();
		hBoxName.getChildren().addAll(lbl, txfName);
		return hBoxName;
	}
	
	private Pane buildFeelingsEntry() {
		Label lblImFeeling = new Label("I'm Feeling:");
		chkHappy = new CheckBox("Happy");
		chkHungry = new CheckBox("Hungry");
		chkSleepy = new CheckBox("Sleepy");
		VBox vBoxFeeling = new VBox();
		vBoxFeeling.getChildren().addAll(lblImFeeling, chkHappy, chkHungry, chkSleepy);
		return vBoxFeeling;
	}

	public static void main(String[] args) {
		launch(args);
	}
}
