package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.ComboBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class HelloWorld_6_ComboBox extends Application {
	protected TextArea txaMessage;
	protected TextField txfName;
	protected ComboBox<String> cmbSalutation;
	
	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			Pane root = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(root,300,200);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World 6");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	public Pane buildGui() {
		GridPane grdPane = new GridPane();
		
		// Build top row & add to GridPane
		grdPane.add(buildNameEntry(), 0, 0);
		
		// Build second row
		Button btnHelloWorld = new Button("Hello World");
		grdPane.add(btnHelloWorld, 0, 1);
		
		// Build third row
		txaMessage = new TextArea();
		txaMessage.setPrefColumnCount(20);
		txaMessage.setPrefRowCount(3);
		grdPane.add(txaMessage, 0, 2);
		
		return grdPane;
	}
	
	private Pane buildNameEntry() {
		HBox hBoxName = new HBox();

		Pane paneSalutation = buildSalutation();
		txfName = new TextField();
		txfName.setPromptText("Name");
		hBoxName.getChildren().addAll(paneSalutation, txfName);
		return hBoxName;
	}
	
	private Pane buildSalutation() {
		VBox vBoxSaluation = new VBox();
		Label lblSalutation = new Label("Salutation");
		vBoxSaluation.getChildren().add(lblSalutation);

		cmbSalutation = new ComboBox<>();
		cmbSalutation.getItems().addAll("Mrs", "Ms", "Mr", "Dr");
		cmbSalutation.setValue("Ms");

		vBoxSaluation.getChildren().add(cmbSalutation);

		return vBoxSaluation;
	
	}
	
	public static void main(String[] args) {
		launch(args);
	}
}
