package examples_hello_world;
	
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.RadioButton;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.control.ToggleGroup;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class HelloWorld_7_RadioButtons extends Application {
	protected TextArea txaMessage;
	protected TextField txfName;
	
	protected ToggleGroup tGrpStyleChoice;
	protected RadioButton rbShort, rbLong;
	
	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			Pane root = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(root,350,300);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World 7");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}
	
	private Pane buildGui() {
		GridPane root = new GridPane();
		
		Pane p = buildMessageStyleChoice();
		root.add(p, 0, 0);
		
		Button btnHelloWorld = new Button("Hello World");
		root.add(btnHelloWorld, 0, 1);
	
		txaMessage = new TextArea();
		txaMessage.setPrefColumnCount(7);
		txaMessage.setPrefRowCount(3);
		root.add(txaMessage, 0, 2);
		
		return root;
	}
	
	private Pane buildMessageStyleChoice() {
		// Build message style component
		VBox vbox = new VBox();
		Label lbl = new Label("Message Style");
		vbox.getChildren().add(lbl);
	
		tGrpStyleChoice = new ToggleGroup();
	
		rbShort = new RadioButton("Short");
		rbShort.setToggleGroup(tGrpStyleChoice);
		rbShort.setSelected(true);
		vbox.getChildren().add(rbShort);
	
		rbLong = new RadioButton("Long");
		rbLong.setToggleGroup(tGrpStyleChoice);
		vbox.getChildren().add(rbLong);
	
		return vbox;
	}

	public static void main(String[] args) {
		launch(args);
	}
}
