package examples_hello_world;

import javafx.application.Application;

import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.stage.Stage;

// No CSS applied
public class HelloWorld_9_Event_Handling extends Application {
	TextArea txaMessage;
	TextField txfName;

	@Override
	public void start(Stage primaryStage) {
		try {
			// 1. Build Gui
			GridPane grdPane = buildGui();
			// 2. Display Gui
			Scene scene = new Scene(grdPane,270,100);
			scene.getStylesheets().add(getClass().
					getResource("application.css").toExternalForm());
			primaryStage.setScene(scene);
			primaryStage.setTitle("Hello World");
			primaryStage.show();
		} catch(Exception e) {
			e.printStackTrace();
		}
	}

	public GridPane buildGui() {
		GridPane grdPane = new GridPane();
		
		Label lblPrompt = new Label("Name");
		txfName = new TextField();
		HBox hBoxName = new HBox();
		hBoxName.getChildren().addAll(lblPrompt, txfName);
		grdPane.add(hBoxName, 0, 0);

//		txfName = new TextField("Type your name");
//		grdPane.add(txfName, 0, 0);
		Button btnHelloWorld = new Button("Hello World");
		btnHelloWorld.setOnAction(new HelloWorldButtonEventHandler());
		grdPane.add(btnHelloWorld, 0, 1);
		txaMessage = new TextArea();
		grdPane.add(txaMessage, 0, 2);
		return grdPane;
	}

	public static void main(String[] args) {
		launch(args);
	}

	// Define button behavior. Here, we use an inner class event handler
	private class HelloWorldButtonEventHandler implements EventHandler<ActionEvent> {
		@Override
	    public void handle(ActionEvent e) {
	    	String name = txfName.getText();
	        txaMessage.setText(name + ", Hello World!");
	    }
	}

}
