package examples_panes;

import javafx.application.Application;
import javafx.scene.Scene;
import javafx.stage.Stage;
import javafx.scene.layout.BorderPane;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;

// Example of Border pane
public class CustomPaneExample extends Application{
   @Override // overrides the start() method defined in Application class
   public void start(Stage primaryStage){
      BorderPane pane = new BorderPane();
      
      //Place nodes in the border pane -- each node is a custom pane
      pane.setTop(new CustomPane("Cook, Berrien, Lanier"));
      pane.setRight(new CustomPane("Echols"));
      pane.setBottom(new CustomPane("Madison, Hamilton"));
      pane.setLeft(new CustomPane("Brook")); //if we don't want to put anything
      pane.setCenter(new CustomPane("Lowndes"));
      
      Scene s = new Scene(pane, 400, 200);
      primaryStage.setTitle("Bordering Counties of Lowndes county");
      primaryStage.setScene(s);
      primaryStage.show();
      
   }
   
   public static void main(String[] args){
      Application.launch(args);
   }
}

