package examples_panes;
import javafx.application.Application;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.stage.Stage;
import javafx.scene.layout.FlowPane;
import javafx.geometry.Insets;

// Example of Flow pane
public class FlowPaneExample extends Application{
   @Override // overrides the start() method defined in Application class
   public void start(Stage primaryStage){
      FlowPane pane = new FlowPane();
      Insets ins = new Insets(10, 30, 10, 30); //border: top, right, bottom, left
      pane.setPadding(ins);
      pane.setHgap(10);
      pane.setVgap(5);
      pane.getChildren().add(new Button("OK"));
      pane.getChildren().add(new Button("CANCEL"));
      pane.getChildren().add(new Button("BACK"));
      
      Scene s = new Scene(pane, 200, 100);
      primaryStage.setTitle("Buttons on Flow Pane with border specified");
      primaryStage.setScene(s);
      primaryStage.show();
      
   }
   
   public static void main(String[] args){
      launch(args);
   }
}


