package examples_panes;

// Description: User can create one of three shapes
//
// Illustrates: ComboBox, show/hiding controls
//
import java.util.ArrayList;

import javafx.application.Application;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Insets;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.ComboBox;
import javafx.scene.control.Label;
import javafx.scene.control.TextArea;
import javafx.scene.control.TextField;
import javafx.scene.layout.GridPane;
import javafx.scene.layout.HBox;
import javafx.scene.layout.Pane;
import javafx.scene.layout.VBox;

public class NestedPanes extends Application {

	TextField txfName;
	Button btnHellowWorld;
	TextArea txaMessage;

	@Override
	public void start(Stage primaryStage) {
		Pane gui = buildNestedGui();
		Scene scene = new Scene(gui,400, 375);
		primaryStage.setScene(scene);
		primaryStage.setTitle("Exampe 6 - Shape Generator");
		primaryStage.show();
	}

	public Pane buildTopRow() {
		HBox topRow = new HBox();
		topRow.setSpacing(25);
		topRow.setStyle("-fx-padding: 10;" +
		        "-fx-border-style: solid inside;" +
		        "-fx-border-width: 2;" +
		        "-fx-border-insets: 5;" +
		        "-fx-border-radius: 5;" +
		        "-fx-border-color: red;");
		Label lbl = new Label("Enter your name");
		txfName = new TextField("");
	//		topPane.getChildren().add(lbl);
	//		topPane.getChildren().add(txfName);
		topRow.getChildren().addAll(lbl, txfName);
		return topRow;

	}

	public Pane buildNestedGui() {
		VBox root = new VBox();
		root.setPadding(new Insets(25, 25, 25, 25));
		root.setSpacing(25);
		root.setStyle("-fx-padding: 10;" +
		        "-fx-border-style: solid inside;" +
		        "-fx-border-width: 2;" +
		        "-fx-border-insets: 15;" +
		        "-fx-border-radius: 5;" +
		        "-fx-border-color: green;");

		Pane topRow = buildTopRow();
		root.getChildren().add(topRow);

		Button btnHelloWorld = new Button("Hello World");
		btnHelloWorld.setOnAction(new HelloWorldButtonEventHandler());
		root.getChildren().add(btnHelloWorld);

		txaMessage = new TextArea();
		root.getChildren().add(txaMessage);

		return root;
	}

	private class HelloWorldButtonEventHandler implements EventHandler<ActionEvent> {
		@Override
	    public void handle(ActionEvent e) {
	    	String name = txfName.getText();
	        txaMessage.setText(name + ", Hello World!");
	    }
	}



	public static void main(String[] args) {
		launch(args);
	}
}
